
Katello - Bug #23745

On "Edit" host page, Satellite webui shows the "Content Source" value inherited from the HostGroup

instead of the one currently set to the host.
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1578321

Description of problem:

When we try to edit the host from satellite webui which has a host group associated, the edit page shows the "Content Source" value

inherited from HostGroup instead of the currently set value of the content source.

- While we check the host details using Hammer command, we can see the currently set value of Content Source.

1. hammer host info --name rhel7u4-1.example.com | egrep 'Content Source' -A2

Content Source:

ID:   1

Name: satellite.example.com

- While we try to Edit the Host from satellite webui it shows the value 

A. As blank                 -  if the Content Source is not set or kept blank in the HostGroup ass

ociated with the Host.

  B. As "capsule.example.com" -  if the Content Source is set as "capsule.example.com" in the asso

ciated hostgroup.

 Version-Release number of selected component (if applicable):

Satellite v 6.3

How reproducible:

Always

Steps to Reproduce:

Scenario A:

1. Create a HostGroup or Nested HostGroup and keep the Content Source as blank.

2. Associate the newly created host group to a host on the satellite webui and set the "Content Source" for the host as

"satellite.example.com"

3. When we try to Edit the host, the satellite webui shows the "Content Source" value as blank instead of "satellite.example.com"

Scenario B:

1. Create a HostGroup or Nested HostGroup and set Content Source as "capsule.example.com".

2. Associate the newly created host group to a host on the satellite webui and set the "Content Source" for the host as

"satellite.example.com"

3. When you try to Edit the host the satellite webui shows the "Content Source" value as "capsule.example.com" instead of

"satellite.example.com"

Actual results:
The "Edit" page for the host shows the Content Source value inherited from the HostGroup instead of the currently set value to the

host.

Expected results:

1. The "Edit" page for the host should show the currently set value for the "Content Source" (if it is already set to the Host)

2. If the "Content Source" is not set for the Host then "Edit" page should not inherit the value from HostGroup.

Additional info:

Related issues:

Is duplicate of Katello - Bug #23706: Unable to override hostgroup parameters... Closed 05/25/2018

History

#1 - 05/31/2018 08:30 PM - Marek Hulán

Kavita, isn't this duplicate of #23706?

#2 - 06/13/2018 01:23 PM - Kavita Gaikwad

- Project changed from Foreman to Katello

#3 - 06/13/2018 05:08 PM - Kavita Gaikwad

Marek,

Yes, it is similar but pull-request of #23706 will not resolve issue for content-source.

#4 - 06/13/2018 05:56 PM - Justin Sherrill

- Category set to Hosts

- translation missing: en.field_release set to 338

#5 - 07/18/2018 07:59 PM - Justin Sherrill

Seems like https://github.com/Katello/katello/pull/7533 was opened which does correct it?

#6 - 07/19/2018 11:35 AM - Daniel Lobato Garcia

Yup, it's a duplicate. The original PR didn't solve it for content source, the 2nd one did.

#7 - 07/19/2018 11:35 AM - Daniel Lobato Garcia

- Is duplicate of Bug #23706: Unable to override hostgroup parameters from All hosts => edit host on WebUI added

#8 - 08/01/2018 06:43 PM - Jonathon Turel

- Status changed from New to Duplicate
